public class QueryObject
extends org.nuxeo.ecm.webengine.model.impl.AbstractResource<org.nuxeo.ecm.webengine.model.impl.ResourceTypeImpl>
| Modifier and Type | Class and Description |
|---|---|
static class |
QueryObject.LangParams |
static class |
QueryObject.QueryParams |
| Modifier and Type | Field and Description |
|---|---|
static String |
CURRENT_PAGE_INDEX |
static String |
CURRENT_REPO_PATTERN |
static String |
CURRENT_USERID_PATTERN |
protected EnumMap<QueryObject.LangParams,String> |
langPathMap |
static String |
MAX_RESULTS |
static String |
NXQL |
static String |
ORDERED_PARAMS |
static String |
PAGE_SIZE |
protected org.nuxeo.ecm.platform.query.api.PageProviderService |
pageProviderService |
static String |
PATH |
static String |
QUERY |
protected EnumMap<QueryObject.QueryParams,String> |
queryParametersMap |
static String |
SORT_BY |
static String |
SORT_ORDER |
| Constructor and Description |
|---|
QueryObject() |
| Modifier and Type | Method and Description |
|---|---|
Object |
doQuery(javax.ws.rs.core.UriInfo uriInfo)
Perform query on the repository.
|
Object |
doSpecificQuery(javax.ws.rs.core.UriInfo uriInfo,
String langOrProviderName)
Perform query on the repository in NXQL or specific pageprovider name
|
protected org.nuxeo.ecm.core.api.DocumentModelList |
getQuery(javax.ws.rs.core.UriInfo uriInfo,
String langOrProviderName) |
protected org.nuxeo.ecm.core.api.DocumentModel |
getSearchDocumentModel(org.nuxeo.ecm.core.api.CoreSession session,
org.nuxeo.ecm.platform.query.api.PageProviderService pps,
String providerName,
org.nuxeo.ecm.automation.core.util.Properties namedParameters) |
void |
initialize(Object... args) |
checkGuard, dispose, getActiveAdapter, getAdapter, getContext, getFacets, getLinks, getModule, getName, getNext, getNextSegment, getPath, getPrevious, getTemplate, getTrailingPath, getType, getURL, getView, hasFacet, initialize, isAdapter, isInstanceOf, isRoot, newAdapter, newObject, redirect, setNext, setPrevious, setRoot, toStringpublic static final String PATH
public static final String NXQL
public static final String QUERY
public static final String PAGE_SIZE
public static final String CURRENT_PAGE_INDEX
public static final String MAX_RESULTS
public static final String SORT_BY
public static final String SORT_ORDER
public static final String ORDERED_PARAMS
public static final String CURRENT_USERID_PATTERN
public static final String CURRENT_REPO_PATTERN
protected EnumMap<QueryObject.QueryParams,String> queryParametersMap
protected EnumMap<QueryObject.LangParams,String> langPathMap
protected org.nuxeo.ecm.platform.query.api.PageProviderService pageProviderService
public void initialize(Object... args)
initialize in class org.nuxeo.ecm.webengine.model.impl.AbstractResource<org.nuxeo.ecm.webengine.model.impl.ResourceTypeImpl>protected org.nuxeo.ecm.core.api.DocumentModelList getQuery(javax.ws.rs.core.UriInfo uriInfo,
String langOrProviderName)
throws RestOperationException
RestOperationExceptionprotected org.nuxeo.ecm.core.api.DocumentModel getSearchDocumentModel(org.nuxeo.ecm.core.api.CoreSession session,
org.nuxeo.ecm.platform.query.api.PageProviderService pps,
String providerName,
org.nuxeo.ecm.automation.core.util.Properties namedParameters)
public Object doQuery(@Context javax.ws.rs.core.UriInfo uriInfo) throws RestOperationException
uriInfo - Query parametersRestOperationExceptionpublic Object doSpecificQuery(@Context javax.ws.rs.core.UriInfo uriInfo, String langOrProviderName) throws RestOperationException
uriInfo - Query parameterslangOrProviderName - NXQL or specific provider nameRestOperationExceptionCopyright © 2020 Nuxeo SA. All rights reserved.